/*
 Theme Name:   Crossover Theme
 Theme URI:    https://www.lifeit.at
 Description:  Crossover Child Theme
 Author:       Alexander Stingl
 Author URI:   https://www.lifeit.at
 Template:     generatepress
 Version:      1.0
*/

/*Fonts*/

@font-face {
  font-family: "Poppins";
  src: local("Poppins Regular"), local("Poppins-Regular"),
    url("../crossover/fonts/subset-Poppins-Regular.woff2") format("woff2"),
    url("../crossover/fonts/subset-Poppins-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src: local("Poppins SemiBold"), local("Poppins-SemiBold"),
    url("../crossover/fonts/subset-Poppins-SemiBold.woff2") format("woff2"),
    url("../crossover/fonts/subset-Poppins-SemiBold.woff") format("woff");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src: local("Poppins Bold"), local("Poppins-Bold"),
    url("../crossover/fonts/subset-Poppins-Bold.woff2") format("woff2"),
    url("../crossover/fonts/subset-Poppins-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

b,
strong {
  font-weight: 600;
}

.wp-block-separator {
  width: 90%;
  margin: 60px auto;
}

/* .page-hero {
  top: 0;
  position: sticky;
} */

#generate-slideout-menu {
  background: rgb(207, 225, 235);
  background: linear-gradient(
    180deg,
    rgba(207, 225, 235, 1) 60%,
    rgba(22, 76, 95, 1) 100%
  );
}

.xo-header-inner {
  height: 420px;
  padding-top: 200px;
  position: relative;
  margin: 0 auto;
  overflow: hidden;
}

h1.hero-text {
  position: relative;
  z-index: 100;
}

.xo-header-inner.base {
  height: 120px;
  padding-top: 36px;
}

.xo-header-inner.home {
  background: url(/wp-content/uploads/2024/12/xo_hero_home.jpg) no-repeat center
    center;
}
.xo-header-inner.physio {
  background: url(/wp-content/uploads/2022/12/XO_Hero_Sportphysio.jpg) no-repeat
    center center;
}
.xo-header-inner.trainer {
  background: url(/wp-content/uploads/2022/12/XO_Hero_PersonalTrainer.jpg)
    no-repeat center center;
}
.xo-header-inner.team {
  background: url(/wp-content/uploads/2024/12/xo_hero_team.jpg) no-repeat center
    center;
}

.icon-large {
  position: absolute;
  top: 15%;
  left: -60px;
  font-size: 60px;
  /* color: #fff; */
  z-index: 5;
}

.home .icon-large,
.team .icon-large {
  top: -30%;
  left: -15%;
}

.home .icon-large img,
.team .icon-large img {
  width: 570px;
}

.logo-small {
  position: absolute;
  top: 30px;
  right: 40px;
  width: 80px;
}

.nav-bold a {
  font-weight: 600;
}

.xo-header-gradient {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 10;
}

.xo-header-gradient.home,
.xo-header-gradient.team {
  background: rgb(22, 76, 95);
  background: linear-gradient(
    90deg,
    rgba(22, 76, 95, 1) 0%,
    rgba(22, 76, 95, 0) 50%
  );
}

.xo-header-gradient.trainer {
  background: rgb(85, 156, 139);
  background: linear-gradient(
    90deg,
    rgba(85, 156, 139, 1) 0%,
    rgba(85, 156, 139, 0) 50%
  );
}

.xo-header-gradient.physio {
  background: rgb(207, 116, 122);
  background: linear-gradient(
    90deg,
    rgba(207, 116, 122, 1) 0%,
    rgba(207, 116, 122, 0) 50%
  );
}

.home-beduerfnisse::before {
  background-blend-mode: multiply, normal;
}

/* Call to Action */
.cta-text {
  font-style: italic;
}

/* .mega-button {
  padding: 20px 60px;
}

.mega-button a {
  font-size: 32px;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  font-weight: 600;
} */

/* Ripple Effekt für Buttons */
.button,
.gb-button,
.wp-block-button__link {
  /* border-radius: 3px;
    cursor: pointer;
    font-weight: bold; */
  position: relative;
  overflow: hidden;
}

.ripple {
  position: absolute;
  background: #fff;
  border-radius: 50%;
  width: 5px;
  height: 5px;
  animation: rippleEffect 0.5s 1;
  opacity: 0;
  z-index: 999;
}

@keyframes rippleEffect {
  0% {
    transform: scale(1);
    opacity: 0.7;
  }
  100% {
    transform: scale(100);
    opacity: 0;
  }
}

/* Hide Elements */
.versteckt,
.hidden {
  display: none;
}

/* .swiper {
  width: 1120px;
  height: 400px;
} */

.swiper {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  /* background: #fff; */

  /* Center slide text vertically */
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
}

.swiper-button-next,
.swiper-button-prev {
  color: #fff !important;
}

.swiper-pagination-bullet-active {
  background: #164c5f !important;
}

.fachgebiete p {
  line-height: 2;
}

/* FAQ Styling */
p.wpseopress-faq-question {
  margin-bottom: 0;
  color: #cf747a;
}

.wpseopress-accordion-button {
  text-align: left;
  background: none !important;
  padding-left: 0;
  padding-right: 0;
}

.wpseopress-faq {
  border-bottom: 1px solid #164c5f;
}

/* Contact Form */

.screen-reader-response {
   display: none; 
}

.wpcf7-response-output,
.wpcf7-not-valid-tip {
    color: #BF454F;
}

input[type="email"],
input[type="number"],
input[type="tel"],
input[type="text"],
textarea {
  width: 100%;
}

.wp-block-table.is-style-stripes {
  border-bottom: none;
}



@media only screen and (max-width: 374px) {
  h1 {
    font-size: 23px;
  }

  .home .icon-large,
  .team .icon-large {
    top: -15%;
    left: -135%;
    opacity: 60%;
  }
  .physio .icon-large,
  .trainer .icon-large {
    opacity: 50%;
    left: -110px;
  }
  .logo-small {
    right: 20px;
    top: 20px;
    width: 50px;
  }

  .home .logo-small img {
    display: none;
  }
  .xo-header-inner.home {
    background: url("/wp-content/uploads/2024/12/xo_hero_home_mobile-new.jpg")
      no-repeat center center !important;
  }
  .xo-header-inner.trainer {
    background: url("/wp-content/uploads/2022/12/XO_Hero_PersonalTrainer_mobile.png")
      no-repeat center center;
  }

  .wpseopress-faq-question {
    font-size: 17px;
  }
    ._brlbs-h3 {
      font-size: 1.4em !important;
  }
}

@media only screen and (min-width: 375px) and (max-width: 440px) {
  .home .icon-large,
  .team .icon-large {
    top: -15%;
    left: -105%;
    opacity: 60%;
  }
  .physio .icon-large,
  .trainer .icon-large {
    opacity: 50%;
    left: -110px;
  }
  .logo-small {
    right: 20px;
  }
  .home .logo-small img {
    display: none;
  }
  .xo-header-inner.home {
    background: url("/wp-content/uploads/2024/12/xo_hero_home_mobile-new.jpg")
      no-repeat center center !important;
  }
  .xo-header-inner.trainer {
    background: url("/wp-content/uploads/2022/12/XO_Hero_PersonalTrainer_mobile.png")
      no-repeat center center;
  }
  ._brlbs-h3 {
      font-size: 1.5em !important;
  }
}
@media only screen and (min-width: 441px) and (max-width: 768px) {
  .home .logo-small img {
    display: none;
  }
}

@media only screen and (min-width: 769px) and (max-width: 1023px) {
  h2 {
    font-size: 25px;
  }
}

@media only screen and (min-width: 441px) and (max-width: 1023px) {
  .home .icon-large,
  .team .icon-large {
    left: -50%;
    opacity: 60%;
  }
  .physio .icon-large,
  .trainer .icon-large {
    opacity: 80%;
  }
  .logo-small {
    right: 20px;
  }
}

@media only screen and (max-width: 1023px) {
  /* .menu-toggle {
    padding-top: 5px;
    padding-bottom: 5px; */
  /* font-size: 28px !important; */
}